Subject: Re: bug#16599: src/temacs --daemon fails

From: Alex Bennée <[email-masked]>
Date: Mon, 17 Feb 2014 07:40:35 +0000

Andreas Schwab <[email-masked]> writes:

> Alex Bennée <[email-masked]> writes:
>
>> diff --git a/src/emacs.c b/src/emacs.c
>> index 18f6a08..66f47ef 100644
>> --- a/src/emacs.c
>> +++ b/src/emacs.c
>> @@ -201,7 +201,7 @@ static char *daemon_name;
>>  
>>  /* Pipe used to send exit notification to the daemon parent at
>>     startup.  */
>> -int daemon_pipe[2];
>> +int daemon_pipe[2] = {0, 0};
>
> This is redundant.

Indeed. I wasn't sure if the code I replaced relied on some special
difference between .data and .bss sections. I have to admit I'm
unfamiliar with how the Emacs dumping mechanism works.

Why did the syms_of_emacs() function feel the need to initialise daemon_pipe?

> Andreas.

-- 
Alex Bennée